diff --git a/config/version b/config/version
index 2e65860..95c0969 100644
--- a/config/version
+++ b/config/version
@@ -1,15 +1,5 @@
 # VERSION: set full version, use "devel" for development version
-  case $PROJECT in
-    S805)
-      LIBREELEC_VERSION="7.0.2.5"
-      ;;
-    S905)
-      LIBREELEC_VERSION="7.0.2.006.3"
-      ;;
-    *)
-      LIBREELEC_VERSION="devel"
-      ;;
-  esac
+  LIBREELEC_VERSION="devel"
 
 # OS_VERSION: OS Version
   OS_VERSION="7.0"
diff --git a/projects/S905/initramfs/platform_init b/projects/S905/initramfs/platform_init
index a6ed5e8..4363acf 100755
--- a/projects/S905/initramfs/platform_init
+++ b/projects/S905/initramfs/platform_init
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-hdmimode=1080p50hz
+hdmimode=1080p60hz
 
 for arg in $(cat /proc/cmdline); do
   case ${arg} in
diff --git a/projects/S905/install/s905_autoscript.src b/projects/S905/install/s905_autoscript.src
index 74d96d0..5bf98b0 100644
--- a/projects/S905/install/s905_autoscript.src
+++ b/projects/S905/install/s905_autoscript.src
@@ -1,5 +1,4 @@
-setenv usbdtb "if fatload usb 0 ${dtb_mem_addr} dtb.img; then echo usb dtb.img loaded; else store dtb read $dtb_mem_addr; fi"
-setenv sddtb "if fatload mmc 0 ${dtb_mem_addr} dtb.img; then echo sd dtb.img loaded; else store dtb read $dtb_mem_addr; fi"
-setenv le_usb "if fatload usb 0 ${loadaddr} kernel.img; then run usbdtb; setenv bootargs bootfromusb ${bootargs}; wipeisb; bootm; fi"
-setenv le_sd "if fatload mmc 0 ${loadaddr} kernel.img; then run sddtb; setenv bootargs bootfromsd ${bootargs}; wipeisb; bootm; fi"
-if test ${bootfromnand} = 1; then setenv bootfromnand 0; saveenv; else run le_usb; run le_sd; fi; run storeboot
+setenv sddtb 'if fatload mmc 0 ${dtb_mem_addr} dtb.img; then echo sd dtb.img loaded; else store dtb read $dtb_mem_addr; fi'
+setenv usbdtb 'if fatload usb 0 ${dtb_mem_addr} dtb.img; then echo usb dtb.img loaded; else store dtb read $dtb_mem_addr; fi'
+if mmcinfo; then if fatload mmc 0 ${loadaddr} kernel.img; then run sddtb; setenv bootargs ${bootargs} bootfromsd; wipeisb; bootm; fi; fi
+if usb start 0; then if fatload usb 0 ${loadaddr} kernel.img; then run usbdtb; setenv bootargs ${bootargs} bootfromusb; wipeisb; bootm; fi; fi
diff --git a/projects/S905/linux/linux.aarch64.conf b/projects/S905/linux/linux.aarch64.conf
index 2353e3a..ebe14d9 100644
--- a/projects/S905/linux/linux.aarch64.conf
+++ b/projects/S905/linux/linux.aarch64.conf
@@ -90,9 +90,9 @@ CONFIG_RCU_FANOUT_LEAF=16
 # CONFIG_RCU_FAST_NO_HZ is not set
 CONFIG_TREE_RCU_TRACE=y
 # CONFIG_RCU_NOCB_CPU is not set
-CONFIG_IKCONFIG=y
+CONFIG_IKCONFIG=m
 CONFIG_IKCONFIG_PROC=y
-CONFIG_LOG_BUF_SHIFT=18
+CONFIG_LOG_BUF_SHIFT=17
 CONFIG_GENERIC_SCHED_CLOCK=y
 CONFIG_CGROUPS=y
 # CONFIG_CGROUP_DEBUG is not set
@@ -342,7 +342,7 @@ CONFIG_FORCE_MAX_ZONEORDER=11
 #
 # Boot options
 #
-CONFIG_CMDLINE="console=tty0 rootwait systemd.show_status=auto"
+CONFIG_CMDLINE="console=tty0 systemd.show_status=auto"
 # CONFIG_CMDLINE_FROM_BOOTLOADER is not set
 CONFIG_CMDLINE_EXTEND=y
 # CONFIG_CMDLINE_FORCE is not set
@@ -686,51 +686,7 @@ CONFIG_LLC=m
 # CONFIG_PHONET is not set
 # CONFIG_IEEE802154 is not set
 CONFIG_6LOWPAN_IPHC=m
-CONFIG_NET_SCHED=y
-
-#
-# Queueing/Scheduling
-#
-# CONFIG_NET_SCH_CBQ is not set
-# CONFIG_NET_SCH_HTB is not set
-# CONFIG_NET_SCH_HFSC is not set
-# CONFIG_NET_SCH_PRIO is not set
-# CONFIG_NET_SCH_MULTIQ is not set
-# CONFIG_NET_SCH_RED is not set
-# CONFIG_NET_SCH_SFB is not set
-# CONFIG_NET_SCH_SFQ is not set
-# CONFIG_NET_SCH_TEQL is not set
-# CONFIG_NET_SCH_TBF is not set
-# CONFIG_NET_SCH_GRED is not set
-# CONFIG_NET_SCH_DSMARK is not set
-# CONFIG_NET_SCH_NETEM is not set
-# CONFIG_NET_SCH_DRR is not set
-# CONFIG_NET_SCH_MQPRIO is not set
-# CONFIG_NET_SCH_CHOKE is not set
-# CONFIG_NET_SCH_QFQ is not set
-# CONFIG_NET_SCH_CODEL is not set
-CONFIG_NET_SCH_FQ_CODEL=y
-# CONFIG_NET_SCH_FQ is not set
-# CONFIG_NET_SCH_HHF is not set
-# CONFIG_NET_SCH_PIE is not set
-# CONFIG_NET_SCH_PLUG is not set
-
-#
-# Classification
-#
-# CONFIG_NET_CLS_BASIC is not set
-# CONFIG_NET_CLS_TCINDEX is not set
-# CONFIG_NET_CLS_ROUTE4 is not set
-# CONFIG_NET_CLS_FW is not set
-# CONFIG_NET_CLS_U32 is not set
-# CONFIG_NET_CLS_RSVP is not set
-# CONFIG_NET_CLS_RSVP6 is not set
-# CONFIG_NET_CLS_FLOW is not set
-# CONFIG_NET_CLS_CGROUP is not set
-# CONFIG_NET_CLS_BPF is not set
-# CONFIG_NET_EMATCH is not set
-# CONFIG_NET_CLS_ACT is not set
-CONFIG_NET_SCH_FIFO=y
+# CONFIG_NET_SCHED is not set
 # CONFIG_DCB is not set
 CONFIG_DNS_RESOLVER=y
 # CONFIG_BATMAN_ADV is not set
@@ -993,7 +949,7 @@ CONFIG_AM_TIMESYNC=y
 CONFIG_AM_STREAMING=y
 CONFIG_AM_SUBTITLE=y
 CONFIG_AM_VIDEOCAPTURE=y
-CONFIG_AM_HEVCENC=y
+# CONFIG_AM_HEVCENC is not set
 
 #
 # Deinterlace driver
@@ -1793,8 +1749,7 @@ CONFIG_DEVKMEM=y
 # Non-8250 serial port support
 #
 # CONFIG_SERIAL_AMBA_PL010 is not set
-CONFIG_SERIAL_AMBA_PL011=y
-CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
+# CONFIG_SERIAL_AMBA_PL011 is not set
 # CONFIG_SERIAL_MAX3100 is not set
 # CONFIG_SERIAL_MAX310X is not set
 CONFIG_SERIAL_CORE=y
